#include "cPlotData.h"

cDataSet::cDataSet(	cFloat (*func)(cFloat, cFloat),	cColor (*funcColor)(cFloat), string cap)
{
	f = func;
	fColor = funcColor;
	caption = cap;
}

cColor cDataSet::GetColor(cFloat z)
{
	return fColor(z);
}

cFloat cDataSet::GetZ(cFloat x, cFloat y)
{
	return f(x, y);
}
